> ## Documentation Index
> Fetch the complete documentation index at: https://docs.topmediai.com/llms.txt
> Use this file to discover all available pages before exploring further.

# V3 Convert to MP4 Format

> Convert an existing music track to high-quality MP4 format.



## OpenAPI

````yaml https://api.topmediai.com/topmediai_api.json post /v3/music/generate-mp4
openapi: 3.1.0
info:
  title: Topmediai API Documentation
  description: >-
    This is the documentation for the Topmediai API. You can use this API to use
    our service programmatically, this is done by using your x-api-key. You can
    get your x-api-key by request our Get API Key Web page on
    https://www.topmediai.com/api/text-to-speech-api/. Our API is experimental
    so all endpoints are subject to change.
  version: 1.0.0
servers:
  - url: https://api.topmediai.com
security: []
paths:
  /v3/music/generate-mp4:
    post:
      tags:
        - AI-Music-Generator
      summary: V3 Convert to MP4 Format
      description: Convert an existing music track to high-quality MP4 format.
      operationId: generate_mp4_v3_music_generate_mp4_post
      parameters:
        - name: song_id
          in: query
          required: true
          schema:
            type: string
            title: Song id
          example: 3dfcac44-e5a4-11ee-b5bb-00163e0425ea
        - name: x-api-key
          in: header
          required: false
          schema:
            type: string
            title: X-Api-Key
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema: {}
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````